﻿/*
Created by: X
http://www.createdbyx.com/

This work is licensed under a Creative Commons Attribution-Noncommercial-Share Alike 2.5 Canada License 
http://creativecommons.org/licenses/by-nc-sa/2.5/ca/. 
Permissions beyond the scope of this license may be available at http://contact.createdbyx.com/.
*/

namespace xCollectiveXNA
{
    /// <summary>
    /// Used by the GenericCollection class for raising events.
    /// </summary>
    /// <typeparam name="T">The type of objects that the collection will store.</typeparam>
    public class ValueEventArgs<T> : System.ComponentModel.CancelEventArgs
    {
        /// <summary>
        /// Gets or sets the reference to the item in the collection.
        /// </summary>
        public T Value { get; set; }
        /// <summary>
        /// Gets or sets the index of the item in the collection.
        /// </summary>
        public int Index { get; set; }
    }
}
